# GridFire: src/include/gridfire/exceptions/error_reaction.h File Reference

Loading...
Searching...
No Matches
error_reaction.h File Reference
`#include <string>`
`#include <format>`
`#include "gridfire/exceptions/error_gridfire.h"`
Include dependency graph for error_reaction.h:
This graph shows which files directly or indirectly include this file:

## Classes

class | gridfire::exceptions::ReactionError
| Base class for all exceptions related to reaction operations. More...
class | gridfire::exceptions::ReactionParsingError

## Namespaces

namespace | gridfire
namespace | gridfire::exceptions
| Namespace for GridFire exception classes. All custom exceptions defined in GridFire inherit from std::exception and are organized within this namespace for clarity and modularity.